<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

only_reg();
$set['title']='режим невидимки';
include_once 'sys/inc/thead.php';
title();

if (isset($_POST['save'])){

if (isset($_POST['show_secret']) && ($_POST['show_secret']==1 || $_POST['show_secret']==0))
{
$user['show_secret']=intval($_POST['show_secret']);
mysql_query("UPDATE `user` SET `show_secret` = '$user[show_secret]' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err='Ошибка режима невидимки';

if (!isset($err))msg('Изменения успешно приняты');
}
err();
if (isset($user) & $user['rating']<=199)
{
if ($user['pol']==0){echo "Извини <b>красавица,</b> \n";} else {echo "<b>Извини братан,</b> \n";}
echo "но чтобы активировать режим невидимки у вас должна быть как минимум Серебрянная медаль<br/>У вас <b>$user[rating] %</b> рейтинга\n";
}
else
{
echo "<form method='post' action='?$passgen'>\n";
echo "<div class='textmes'>";
echo "Тут Вы сможете активировать режим невидимки!<br />Вас нигде не будет видно и всегда будет статус Оффлайн<br />\n<select name='show_secret'>\n";
echo "<option value='1'".($user['show_secret']==1?" selected='selected'":null).">Активировать</option>\n";
echo "<option value='0'".($user['show_secret']==0?" selected='selected'":null).">Выключить</option>\n";
echo "</select><br />\n";
echo "<input type='submit' name='save' value='Сохранить' />\n";
echo "</form>\n";
echo "</div>\n";
echo "<img src='/style/back.gif' alt='' class='icon'/>\n";
echo " <a href='/umenu.php'> меню</a> <br/>\n";
}
include_once 'sys/inc/tfoot.php';
?>